| 0.9.8

- Main Page
- Modules
- Files

Functions
GLM_GTX_transform
GTX Extensions (Experimental)

## Functions
template<typename T , precision P>
GLM_FUNC_DECL tmat4x4< T, P > | rotate (T angle, tvec3< T, P > const &v)
template<typename T , precision P>
GLM_FUNC_DECL tmat4x4< T, P > | scale (tvec3< T, P > const &v)
template<typename T , precision P>
GLM_FUNC_DECL tmat4x4< T, P > | translate (tvec3< T, P > const &v)

## Detailed Description

Add transformation matrices.

<glm/gtx/transform.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_DECL tmat4x4<T, P> glm::rotate | ( | T | angle,
|  | tvec3< T, P > const & | v
| ) |  |

Builds a rotation 4 * 4 matrix created from an axis of 3 scalars and an angle expressed in radians.

See also
  GLM_GTC_matrix_transform
  GLM_GTX_transform

GLM_FUNC_DECL tmat4x4<T, P> glm::scale | ( | tvec3< T, P > const & | v | ) |

Transforms a matrix with a scale 4 * 4 matrix created from a vector of 3 components.

See also
  GLM_GTC_matrix_transform
  GLM_GTX_transform

GLM_FUNC_DECL tmat4x4<T, P> glm::translate | ( | tvec3< T, P > const & | v | ) |

Transforms a matrix with a translation 4 * 4 matrix created from 3 scalars.

See also
  GLM_GTC_matrix_transform
  GLM_GTX_transform